Class EndpointsRequestBuilder
java.lang.Object
com.microsoft.kiota.BaseRequestBuilder
com.microsoft.graph.print.services.item.endpoints.EndpointsRequestBuilder
@Generated("com.microsoft.kiota")
public class EndpointsRequestBuilder
extends com.microsoft.kiota.BaseRequestBuilder
Provides operations to manage the endpoints property of the microsoft.graph.printService entity.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionclassRetrieve a list of endpoints exposed by a print service.classConfiguration for the request such as headers, query parameters, and middleware options.classConfiguration for the request such as headers, query parameters, and middleware options. -
Field Summary
Fields inherited from class com.microsoft.kiota.BaseRequestBuilder
pathParameters, requestAdapter, urlTemplate -
Constructor Summary
ConstructorsConstructorDescriptionEndpointsRequestBuilder(String rawUrl, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values.EndpointsRequestBuilder(HashMap<String, Object> pathParameters, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values. -
Method Summary
Modifier and TypeMethodDescriptionbyPrintServiceEndpointId(String printServiceEndpointId) Provides operations to manage the endpoints property of the microsoft.graph.printService entity.count()Provides operations to count the resources in the collection.get()Retrieve a list of endpoints exposed by a print service.get(Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve a list of endpoints exposed by a print service.post(PrintServiceEndpoint body) Create new navigation property to endpoints for printpost(PrintServiceEndpoint body, Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for printcom.microsoft.kiota.RequestInformationRetrieve a list of endpoints exposed by a print service.com.microsoft.kiota.RequestInformationtoGetRequestInformation(Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve a list of endpoints exposed by a print service.com.microsoft.kiota.RequestInformationCreate new navigation property to endpoints for printcom.microsoft.kiota.RequestInformationtoPostRequestInformation(PrintServiceEndpoint body, Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for printReturns a request builder with the provided arbitrary URL.
-
Constructor Details
-
EndpointsRequestBuilder
public EndpointsRequestBuilder(@Nonnull HashMap<String, Object> pathParameters, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values.- Parameters:
pathParameters- Path parameters for the requestrequestAdapter- The request adapter to use to execute the requests.
-
EndpointsRequestBuilder
public EndpointsRequestBuilder(@Nonnull String rawUrl, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointsRequestBuilderand sets the default values.- Parameters:
rawUrl- The raw URL to use for the request builder.requestAdapter- The request adapter to use to execute the requests.
-
-
Method Details
-
count
Provides operations to count the resources in the collection.- Returns:
- a
CountRequestBuilder
-
byPrintServiceEndpointId
@Nonnull public PrintServiceEndpointItemRequestBuilder byPrintServiceEndpointId(@Nonnull String printServiceEndpointId) Provides operations to manage the endpoints property of the microsoft.graph.printService entity.- Parameters:
printServiceEndpointId- The unique identifier of printServiceEndpoint- Returns:
- a
PrintServiceEndpointItemRequestBuilder
-
get
Retrieve a list of endpoints exposed by a print service.- Returns:
- a
PrintServiceEndpointCollectionResponse - Throws:
ODataError- When receiving a 4XX or 5XX status code- See Also:
-
get
@Nullable public PrintServiceEndpointCollectionResponse get(@Nullable Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve a list of endpoints exposed by a print service.- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
PrintServiceEndpointCollectionResponse - Throws:
ODataError- When receiving a 4XX or 5XX status code- See Also:
-
post
Create new navigation property to endpoints for print- Parameters:
body- The request body- Returns:
- a
PrintServiceEndpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
post
@Nullable public PrintServiceEndpoint post(@Nonnull PrintServiceEndpoint body, @Nullable Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for print- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
PrintServiceEndpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation()Retrieve a list of endpoints exposed by a print service.- Returns:
- a
RequestInformation
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation(@Nullable Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve a list of endpoints exposed by a print service.- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
toPostRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPostRequestInformation(@Nonnull PrintServiceEndpoint body) Create new navigation property to endpoints for print- Parameters:
body- The request body- Returns:
- a
RequestInformation
-
toPostRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPostRequestInformation(@Nonnull PrintServiceEndpoint body, @Nullable Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration) Create new navigation property to endpoints for print- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
withUrl
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.- Parameters:
rawUrl- The raw URL to use for the request builder.- Returns:
- a
EndpointsRequestBuilder
-